using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 应急能力评估项目中间表
    /// </summary>
    [Description("应急能力评估项目中间表")]
    public class T_CM_ABILITY_EVALUATE_PROJECT : MesEntityBase
    {
        /// <summary>
        /// 应急能力评估表ID
        /// </summary>
        [Description("应急能力评估表ID")]
        [DataFieldForeignKey("Nav_Evaluate", "Nav_ListProject")]
        public Guid EVALUATE_ID { get; set; }

        /// <summary>
        /// 导航属性：应急能力评估表
        /// </summary>
        [Description("导航属性：应急能力评估表")]
        public T_CM_ABILITY_EVALUATE Nav_Evaluate { get; set; }

        /// <summary>
        /// 评估项目ID
        /// </summary>
        [Description("评估项目")]
        [DataFieldForeignKey("Nav_EvaluateProject")]
        public Guid PROJECT_ID { get; set; }

        /// <summary>
        /// 导航属性：评估项目表
        /// </summary>
        [Description("导航属性：评估项目表")]
        [FormFieldEdit]
        public T_CM_ABILITY_PROJECT Nav_EvaluateProject { get; set; }

        /// <summary>
        /// 评估情况
        /// </summary>
        [Description("评估情况")]
        [FormFieldEdit]
        public CMEvaluateStatusEnum? PLATFORM_TYPE { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Description("备注")]
        [FormFieldEdit]
        [DataFieldLength(500)]
        public string REMARK { get; set; }
    }
}